Bug 364241 - Review Request: dash - Small and fast POSIX-compliant shell
Review Request: dash - Small and fast POSIX-compliant shell
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 12:55 EDT by Warren Togami
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 00:08:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2007-11-02 12:55:55 EDT
Spec URL: http://togami.com/~warren/fedora/dash.spec
SRPM URL: http://togami.com/~warren/fedora/dash-0.5.4-1.fc8.src.rpm
Description:
DASH is a POSIX-compliant implementation of /bin/sh that aims to be as small as
possible. It does this without sacrificing speed where possible. In fact, it is
significantly faster than bash (the GNU Bourne-Again SHell) for most tasks.
Comment 1 Jason Tibbitts 2007-11-03 15:05:40 EDT
Source0: should be a URL if possible; I changed it to 
http://gondor.apana.org.au/~herbert/dash/files/dash-%{version}.tar.gz and
everything seems fine.

GPL+ in the License: tag seems a little odd for two reasons.  The source file in
question is clearly GPLv2+, but also it is simply a C file that gets compiled
and run as part of its build process and then its output is used in the
resulting executable.  I am no expert here, but my understanding of things is
that this does not put any part of the resulting executable under GPL.  Since
the accepted interpretation of the License: tag is that it applies to the binary
package in isolation, I don't think the GPL makes it into the final package at all.

I checked with spot on IRC and he concurs.  So your License: tag can just be BSD.

The only remaining complaint I have about this package is that the manpage says
"sh", not "dash".  Seems a bit odd to see "sh is the standard command
interpreter for the system"; while that's true, this manpage doesn't describe
that sh.

Review:
* source files match upstream:
   a9dc8f0237f632dd2c1bfeff80b1052e75fafaef0d767e3beab0bd8becced623  
   dash-0.5.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field needs a tweak.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none).
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane.
* %check is not present; no test suite upstream.
  I tested this package manually and it seems to work fine.
* no shared libraries are added to the regular linker search paths.
* doesn't create or own any directories.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED; just tweak the License: tag when you check in.
Comment 2 Warren Togami 2007-11-06 23:56:15 EST
I'm moving dash from /usr/bin/ to just /bin/ so it is a little safer as a
/bin/sh replacement for people who want to experiment with boot performance.  See 
http://wtogami.livejournal.com/20047.html

Note You need to log in before you can comment on or make changes to this bug.